Pod::Elemental::Objectifier(3)

NAME
Pod::Elemental::Objectifier - it turns a Pod::Eventual event stream into objects

VERSION
version 0.102362

OVERVIEW
An objectifier is responsible for taking the events produced by Pod::Eventual and converting them into objects that perform the Pod::Elemental::Paragraph role.

In general, it does this by producing a sequence of element objects in the Pod::Elemental::Element::Generic namespace.

METHODS

  objectify_events
  my $elements = $objectifier->objectify_events(\@events);

Given an arrayref of Pod events, this method returns an arrayref of objects formed from the event stream.

  element_class_for_event
This method returns the name of the class to be used for the given event.

AUTHOR
Ricardo SIGNES <rjbs@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Ricardo SIGNES.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.